N3DSXL still on 10.3 but still can play Pokémon Shuffle and Badge Arcade

Discussion in '3DS - Flashcards & Custom Firmwares' started by DjoeN, Jan 22, 2016.

  1. DjoeN
    OP

    DjoeN Captain Haddock!

    Member
    5,194
    1,498
    Oct 21, 2005
    Belgium
    Somewhere in this potatoland!
    So for my own reasons i still have a N3DS XL (And N3DS) on 10.3.
    In normal circumstances you can't play Badge Arcade if you are not on latest Firmware, or you can't do the daily thing (that gives special stages) if you're not on the latest FW.

    I don't play much those games on those systems (even my daughter doesn't play it on her XL) cause the're not my main system to play those games. So yesterday i noticed i can still play badge arcade on those system and could get shuffle updated to latest special stage without a problem or error notice about needing an update to be able to play them.

    Like told i don't play them often on those system, but i wonder, did nintendo forgot something so 10.3 FW cheks as valid for those 2 games?
     
  2. tony_2018

    tony_2018 GBAtemp Psycho!

    Member
    3,106
    1,050
    Jan 3, 2014
    United States
    Not understanding...the game was already installed on sysnand 10.3 and has been running. Therefore it should still continue to run no matter what the latest firmware you have or not so latest. Its when you access the eshop or try to download an dlc update for your game that requires eshop to be updated, no?
     
  3. Woody8275

    Woody8275 GBAtemp Advanced Fan

    Member
    635
    91
    Sep 4, 2013
    I ve noticed the eshop spoof works on 10.3
     
  4. DjoeN
    OP

    DjoeN Captain Haddock!

    Member
    5,194
    1,498
    Oct 21, 2005
    Belgium
    Somewhere in this potatoland!
    Badge Arcade logs into your NNID and checks your FW after pressing A, if you are not on latest FW it would say you needed latest FW/update
    Pokémon Shuffle, to be able to update special styages and earn your coins it also logs into your NNID, if you are not on latest FW it would say you needed latest FW/update to get latest special stages.

    But this time it doesn't, you fully play the games. was just wondering why :)
     
    Last edited by DjoeN, Jan 22, 2016
  5. tony_2018

    tony_2018 GBAtemp Psycho!

    Member
    3,106
    1,050
    Jan 3, 2014
    United States
    interesting..I guess it probably needs firmware 10.3. badge arcade does require real dollars to play though so maybe it does need verification like eshop.